package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.QiyekunnandengjibiaoMapper;
import com.ruoyi.system.domain.Qiyekunnandengjibiao;
import com.ruoyi.system.service.IQiyekunnandengjibiaoService;
import com.ruoyi.common.core.text.Convert;

/**
 * 个人独资Service业务层处理
 * 
 * @author xu
 * @date 2019-09-09
 */
@Service
public class QiyekunnandengjibiaoServiceImpl implements IQiyekunnandengjibiaoService 
{
    @Autowired
    private QiyekunnandengjibiaoMapper qiyekunnandengjibiaoMapper;

    /**
     * 查询个人独资
     * 
     * @param chukouqn 个人独资ID
     * @return 个人独资
     */
    @Override
    public Qiyekunnandengjibiao selectQiyekunnandengjibiaoById(Long chukouqn)
    {
        return qiyekunnandengjibiaoMapper.selectQiyekunnandengjibiaoById(chukouqn);
    }

    /**
     * 查询个人独资列表
     * 
     * @param qiyekunnandengjibiao 个人独资
     * @return 个人独资
     */
    @Override
    public List<Qiyekunnandengjibiao> selectQiyekunnandengjibiaoList(Qiyekunnandengjibiao qiyekunnandengjibiao)
    {
        return qiyekunnandengjibiaoMapper.selectQiyekunnandengjibiaoList(qiyekunnandengjibiao);
    }

    /**
     * 新增个人独资
     * 
     * @param qiyekunnandengjibiao 个人独资
     * @return 结果
     */
    @Override
    public int insertQiyekunnandengjibiao(Qiyekunnandengjibiao qiyekunnandengjibiao)
    {
        return qiyekunnandengjibiaoMapper.insertQiyekunnandengjibiao(qiyekunnandengjibiao);
    }

    /**
     * 修改个人独资
     * 
     * @param qiyekunnandengjibiao 个人独资
     * @return 结果
     */
    @Override
    public int updateQiyekunnandengjibiao(Qiyekunnandengjibiao qiyekunnandengjibiao)
    {
        return qiyekunnandengjibiaoMapper.updateQiyekunnandengjibiao(qiyekunnandengjibiao);
    }

    /**
     * 删除个人独资对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteQiyekunnandengjibiaoByIds(String ids)
    {
        return qiyekunnandengjibiaoMapper.deleteQiyekunnandengjibiaoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除个人独资信息
     * 
     * @param chukouqn 个人独资ID
     * @return 结果
     */
    public int deleteQiyekunnandengjibiaoById(Long chukouqn)
    {
        return qiyekunnandengjibiaoMapper.deleteQiyekunnandengjibiaoById(chukouqn);
    }
}
